import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
var _excluded = ["className"];
import React from "react";
import cx from "classnames";
import makeStyles from "../../styles/makeStyles";
import Box from "../../Box"; // @ts-ignore

var getClasses = makeStyles(function (_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      spaces = _ref$cleverUI.spaces,
      breakpoints = _ref$cleverUI.breakpoints;
  return {
    actions: _defineProperty({
      paddingTop: spaces.xl,
      gap: spaces.md,
      display: "flex",
      flexDirection: "column-reverse",
      alignItems: "center",
      justifyContent: "center",
      flexWrap: "wrap",
      flex: "0 0 auto"
    }, breakpoints.up("sm"), {
      justifyContent: "space-between",
      flexDirection: "row",
      "& > :last-child": {
        marginLeft: "auto"
      }
    })
  };
});
var DialogFooter = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var className = props.className,
      restProps = _objectWithoutProperties(props, _excluded);

  var classes = getClasses();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Box, _extends({
    className: cx(classes.actions, className),
    ref: ref
  }, restProps)));
});
export default DialogFooter;